Docs menu
Get started
API reference
Classification
Landed cost
Products
Compliance
Reference
Origin
Bulk
Catalogue
- GETList products
- POSTCreate a product
- GETGet a product
- PATCHUpdate a product
- POSTArchive a product
- GETA product’s history
- GETA product’s codes
- POSTAdd a code
- POSTSuggest codes
- POSTApprove a code
- POSTReject a code
- POSTClassify many products
- GETYour imports
- POSTImport a CSV file
- GETAn import
- GETExport as CSV
- POSTSync records from a source
- GETApproved codes to write back
- GETCatalogue vocabularies
- GETSource kinds
- GETDefault target markets
- POSTSet default target markets
API reference
Default target markets
GET https://api.border.bot/v1/catalog/markets
Requires an API key (Authorization: Bearer bb_live_…).
The markets a product without its own ships to (what bulk classification and filters use). Free.
API key scope: catalog.
Responses#
200: The markets. (CatalogMarketsResponse)401: Missing, invalid, revoked or expired API key (unauthorized). (Error)403: The API key doesn’t have thecatalogscope (forbidden,details.reason: "missing_scope"). (Error)429: Rate limited (rate_limited). Retry afterRetry-Afterseconds;RateLimitsays which limit was hit (r=0,tseconds until its window ends) andRateLimit-Policyits quota. (Error)500: Unexpected error (internal). (Error)
Example#
curl -X GET 'https://api.border.bot/v1/catalog/markets' \
-H 'Authorization: Bearer bb_live_...'